Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Interface TypeCheckerEnvironment

All Known Implementing Classes:
  ExpressionVisitor

    public interface TypeCheckerEnvironment

An abstraction of ExpressionVisitor that provides the minimal set of services needed by the TypeChecker; used to allow run-time type-checking of higher order function arguments without retaining the whole static context

Method Summary
`CollationMap` | `getCollationMap()`
`Configuration` | `getConfiguration()`
`void` | `issueWarning(String message, SourceLocator locator)`
`XPathContext` | `makeDynamicContext()`
`Expression` | `simplify(Expression exp)`
`Expression` | `typeCheck(Expression exp, ItemType contextItemType)`

Method Detail

### getConfiguration

    Configuration getConfiguration()

### issueWarning

    void issueWarning(String message,
                      SourceLocator locator)

### getCollationMap

    CollationMap getCollationMap()

### makeDynamicContext

    XPathContext makeDynamicContext()

### simplify

    Expression simplify(Expression exp)
                        throws XPathException

  Throws:
    `XPathException`

### typeCheck

    Expression typeCheck(Expression exp,
                         ItemType contextItemType)
                         throws XPathException

  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.